% Script to generate H-S descriptor for TRECVID MED EC1, EC2
% vector time series.
    
file = {'EC.mat', 'EC2.mat'};
IN_DIR = './data';
path('./tools/plif', path);
iter = 50;

for j=1:size(file,2)   
  load([IN_DIR '/' char(file(j))]);
  videoids = [];
  nh = [2 4 8 16 32 64];
  
  for p=1:size(nh,2)
    D = [];
    for i =1:size(TSdata,2)
      fprintf(1, 'Computing Harmonic Signatures for video number %d id: %d\n',... 
        i, TSdata(i).id);
      if size(TSdata(i).seq, 2) > r(p)
        [~, ~, ~, P, ~, ~] = fingerprint_classify(TSdata(i).seq, ...
                               'Hidden', 2, 'MaxIter', iter);
        D = [D; TSdata(i).id, abs(P(:))'];
      end
    end
    fname = sprintf('%s/HNK_r%02d_ne_%02d_%s', IN_DIR, r(p), ne(q), char(file(j)));
    fprintf('Saving features for r=%d, ne=%d into %s\n', r(p), ne(q));
    save(fname, 'D');
  end
end
