% Script to generate SSID-S descriptor for TRECVID MED EC1, EC2
% vector time series.
% we need to perform experiments with different values of r and ne
    
file = {'EC.mat', 'EC2.mat'};

for j=1:size(file,2)
    
  load([IN_DIR '/' char(file(j))]);
  videoids = [];
  r = [2 4 8 16 32 64];
  ne = [1 2 4];
  
  for p=1:size(r,2)
    for q=1:size(ne,2)
      D = [];
      D2 = [];
      D3 = [];
      for i =1:size(TSdata,2)
        fprintf(1, 'Computing SSID-S for video number %d id: %d\n',... 
            i, TSdata(i).id);
        if size(TSdata(i).seq, 2) > r(p)
          [H, desc] = getHankelMat(TSdata(i).seq, r(p), ne(q));
          
          D = [D; TSdata(i).id, desc'];
        end
      end
      fname = sprintf('%s/HNK_r%02d_ne_%02d_%s', IN_DIR, r(p), ne(q), char(file(j)));
      fprintf('Saving features for r=%d, ne=%d into %s\n', r(p), ne(q));
      save(fname, 'D');
    end
  end
end
