function train_model = train_continuous(data, actionSize)
addpath('../HMM/KPMtools','../HMM/KPMstats', '../HMM/netlab3.3');
train_model = struct('prior', {1}, 'transmat', {1}, 'mu', {1}, 'sigma', {1}, 'mixmat', {1});
train_data = cell(length(data), 1);

for i=1:length(data) %create binary sequences
%    train_data{i} = rand(actionSize, length(data{i}));
%    train_data{i}(train_data{i} < 1.8) = -1;
%    train_data{i}(train_data{i} > 1.8) = 1;

   train_data{i} = -1+zeros(actionSize, length(data{i}));
   index = actionSize.*(0:length(data{i})-1);
   train_data{i}(index + data{i}) = 1;


   noise = .6*randn(size(train_data{i}));
   train_data{i} = train_data{i} + noise;
   
%    indices = train_data{i} == -1;
%    train_data{i}(indices) = train_data{i}(indices) + noise(indices);
%    indices = train_data{i} == 1;
%    train_data{i}(indices) = train_data{i}(indices) - noise(indices);
end

train_data2 = train_data{1};
for i=2:length(train_data) %concatenate all the training sequences together
    train_data2 = [train_data2 train_data{i}];
end
    
% noise = .5*rand(size(train_data2));
% indices = train_data2 == 0;
% train_data2(indices) = train_data2(indices) + noise(indices);
% indices = train_data2 == 1;
% train_data2(indices) = train_data2(indices) - noise(indices);

max_i = 200;         %maximum iteration
O = actionSize;            %Number of coefficients in a vector
%nex = cnt;          %Number of sequences
M = 2;              %Number of mixtures
Q = 5;             %Number of states
T = 10;
cov_type = 'full';

% initial guess of parameters
prior0 = normalise(rand(Q,1));
transmat0 = mk_stochastic(rand(Q,Q)); 
[mu0, Sigma0] = mixgauss_init(Q*M, train_data2, cov_type, 'rnd');
mu0 = reshape(mu0, [O Q M]);
Sigma0 = reshape(Sigma0, [O O Q M]);
mixmat0 = mk_stochastic(rand(Q,M));

[LL, prior1, transmat1, mu1, Sigma1, mixmat1] = ...
mhmm_em(train_data, prior0, transmat0, mu0, Sigma0, mixmat0, 'max_iter', 5);
train_model.prior = prior1;
train_model.transmat = transmat1;
train_model.mu = mu1;
train_model.sigma = Sigma1;
train_model.mixmat = mixmat1;
